*{
    box-sizing: border-box;
  font-family: 'Vazirmatn', Tahoma, sans-serif;

}
html{
    overflow-x: hidden;
}
.container-login{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 75vh;
    background: #F7F5F2;
   

}
.wrapperlogin{
    position: relative;
    width: 750px;
    /*height: 450px;*/
    height: 550px;
    background: transparent;
    border: 2px solid #791f1f ;
    overflow: hidden;
    box-shadow: 0 0 25px #791f1f ;

}
.wrapperlogin .form-box {
    position: absolute;
    top: 0;
    width: 50%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
  
}
.wrapperlogin .form-box.login{
    left: 0;
    padding: 0  60px 0 40px;

}


.wrapperlogin .form-box.login .animation{
    transform: translateX(0);
    transition: 0.7s ease;
    opacity: 1;
    filter: blur(0);
    transition-delay: calc(0.1s * var(--j));
     
}
.wrapperlogin.active .form-box.login .animation{
    transform: translateX(-120%);
    opacity: 0;
    filter: blur(10px);
    transition-delay: calc(0.1s * var(--i));
}


.wrapperlogin .form-box.register{
    right: 0;
    padding: 0 40px 0 60px;
    pointer-events: none;
      
}

.wrapperlogin.active .form-box.register{
    pointer-events: auto;
  
} 


.wrapperlogin .form-box.register .animation{
    transform: translateX(120%);
    transition: 0.7s ease;
    opacity: 0;
    filter: blur(10px);
    transition-delay: calc(0.1s * var(--j));
}

.wrapperlogin.active .form-box.register .animation{
    transform: translateX(0);
    opacity: 1;
    filter: blur(0);
    transition-delay: calc(0.1s * var(--i));
}


.form-box h2{
    font-size: 22px;
    color: #111;
    text-align: center;
}
.form-box .input-box-login{
    position: relative;
    width: 100%;
    height: 50px;
    margin:25px 0;
    display: flex;
    flex-direction: row-reverse;
    text-align: left;
}

.input-box-login input{
    width: 100%;
    height: 100%;
    background: transparent;
    border: none;
    outline: none;
    padding-right: 23px;
    font-size: 16px;
    color: #313030;
    font-weight: 500;
    border-bottom: 2px solid  #111;
    transition: 0.5s;
     
}
.input-box-login input:focus,
.input-box-login input:valid{
   border-bottom-color:#B23A3A;
}
.input-box-login label{
    position: absolute;
    top: 50%;
    left:0;
    transform: translateY(-50%);
    font-size: 16px;
    color: #313030;
    pointer-events: none;
    transition: 0.5s;
}
.input-box-login input:focus~label,
.input-box-login input:valid~label{
    top: -5px;
    color: #B23A3A;
}
.input-box-login  i{
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    font-size: 18px;
    color: #111;
    transition: 0.5s;
}

.input-box-login input:focus ~i,
.input-box-login input:valid ~i{
color:#9C2D2D !important;
  top: -5px;
}
.btnlogin{
    position: relative;
    width: 100%;
    height: 45px;
    background: transparent;
    border: 2px solid #9C2D2D;
    outline: none;
    border-radius: 40px;
    cursor: pointer;
    font-size:1.4rem;
    color: #FFFFFF;
    font-weight: 700;
    z-index: 1;
    overflow: hidden;
    
}

.btnlogin::before{
    content: "";
    position: absolute;
    top: -100%;
    left: 0;
    width: 100%;
    height: 300%;
    background: linear-gradient(#9C2D2D ,#ff1100f8,#9C2D2D,#ff1100f8);
    z-index: -1;
    transition: 0.5s;
}
.btnlogin:hover::before{
    top: 0;
}
.form-box .logreg-link{
    font-size: 15px;
    /* color: #fff; */
      color: #111;
    text-align: center;
    margin: 20px 0 10px;
}
.logreg-link p a {
    color:#9C2D2D ;
    text-decoration: none;
   
}
.logreg-link p a:hover{
    text-decoration: underline;
}
.wrapperlogin .info-text {
    position: absolute;
    top: 0;
    width: 50%;
    height: 100%;
  
    display: flex;
    flex-direction: column;
    justify-content: center;
}
 .wrapperlogin .info-text.login{
    right: 0;
    text-align: right;
    padding: 0 40px 60px 150px;
   

}

.wrapperlogin .info-text.login .animation{
    transform: translateX(0);
    transition: 0.7s ease;
    opacity: 1;
    filter: blur(0);
     transition-delay: calc(0.1s * var(--j));
     text-align: center;
     margin-top: 5px;
}


.wrapperlogin.active .info-text.login .animation{
    transform: translateX(120%);
      opacity: 0;
    filter: blur(10px);
    transition-delay: calc(0.1s * var(--i));
}

.wrapperlogin .info-text.register{
    left: 0;
    text-align: left;
    padding: 0 150px 60px 40px;
    pointer-events: none;
    
   
}

.wrapperlogin.active .info-text.register{

    pointer-events: auto;

}


.wrapperlogin .info-text.register .animation{
    transform: translateX(-120%);
    transition: 0.7s ease;
     opacity: 0;
    filter: blur(10px);
    transition-delay: calc(0.1s * var(--j));
}

.wrapperlogin.active .info-text.register .animation{
    transform: translateX(0);
      opacity: 1;
    filter: blur(0);
    transition-delay: calc(0.1s * var(--i));
      text-align: center;
     margin-top: 5px;
}


.info-text h2{
    font-size: 36px;
      color: #111;
    line-height: 1.3;
    text-transform: uppercase;
}
.info-text .colorwhit{
    color: #ffffff !important;
}
.info-text p{
    font-size: 16px;
    color: #111;
}
 .wrapperlogin .bg-animate{
    position: absolute;
   top: -4px;
   right: 0;
   width: 850px;
   height: 600px;
  background: linear-gradient(#9C2D2D ,#B23A3A);

   border-bottom: 3px solid #791f1f ;
   transform: rotate(10deg) skewY(40deg);
    transition: 1.5s ease;
   transform-origin: bottom right;
   transition-delay: 1.6s;
 }

 .wrapperlogin.active .bg-animate{
       transform: rotate(0deg) skewY(0deg);
       transition-delay: 0.5s;
 }

 .wrapperlogin .bg-animate2{
    position: absolute;
   top: 100%;
   left: 250px;
   width: 850px;
   height: 700px;
  
   background: #F7F5F2;
   border-top: 3px solid #791f1f ;
   transform: rotate(0deg) skewY(0deg);
   transition: 1.5s ease;
   transform-origin: bottom left;
   transition-delay: 0.5s;
 }


 .wrapperlogin.active .bg-animate2{
    transform: rotate(-11deg) skewY(-41deg);
    transition-delay: 1.2s;
 }
